Bug 540121 - [abrt] crash detected in java-1.6.0-openjdk-1:1.6.0.0-33.b16.fc12
[abrt] crash detected in java-1.6.0-openjdk-1:1.6.0.0-33.b16.fc12
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
abrt_hash:e48ada2578657e01a8f5a37694d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-22 08:39 EST by Michal Nowak
Modified: 2013-03-07 21:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-30 17:51:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (106.72 KB, text/plain)
2009-11-22 08:39 EST, Michal Nowak
no flags Details

  None (edit)
Description Michal Nowak 2009-11-22 08:39:30 EST
abrt detected a crash.

Comment
-----
Was browsing https://www.mojebanka.cz/InternetBanking/. Logged into via cert and then came the crash.

[...]
verification URL:https://www.mojebanka.cz/confwiz/confirmLibHash?q=LIBCIMNATIVELIB.SO|80752|82DFEBC630A1A702D547C91D7887AC399DE2DD63|
received from server:TRUSTED
libraries considered as trusted by the server
same hash and different filenames - verification continues - LIBCIMNATIVELIB.SO|80752|82DFEBC630A1A702D547C91D7887AC399DE2DD63 vs. LIBD358E4B340A052939A09.SO|80752|82DFEBC630A1A702D547C91D7887AC399DE2DD63
match found - library approved for : /tmp/kbpki/libd358e4b340a052939a09.so; full path flag: true
The COPIED CIMNativeLib library successfully loaded.
CIMNativeLib version: n/a. Versioning not supported. libCAPI2_JNI.so not loaded.
[DEBUG]   CIMNativeLib library successfully loaded - version: 1.0.0.0.
LLoggerFactory: java.lang.ClassNotFoundException: org/apache/log4j/Logger
[DEBUG]   [IBSignerApplet] init() -> entered the privileged block.
[DEBUG]   IBSignerApplet INIT 
Re-loading a properties for 'US'.
[PKIApplet.init()] PKIApplet ibapp:1.5.2.0|shapp:6.0.0.8|ktpsp:5.2.2.7. Copyright LogicaCMG 2005.
[PKIApplet.init()] CLASS PATH: .
[PKIApplet.init()] JAVA HOME: /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre
[PKIApplet.init()] USER HOME: /home/newman
[PKIApplet.init()] JAVA VENDOR: Sun Microsystems Inc.
[DEBUG]   verifying codebase
[DEBUG]   codebase approved
[DEBUG]   docbase approved
[PKIAppletConfig] Config file 'PKIApplet.properties' loaded.
localeParam = CZ
Re-loading a properties for 'CZ'.
Creating new IDllVerifier instance
Creating instance of com.logica.security.devicemgr.dllverifier.HashAndSizeDllVerifierImpl
(Re)Setting DLLs for verification (global flag reset):
  lcpkcs11
  CAPI2_JNI
  mopkcs11.dll
    removed suffix:mopkcs11.dll
Processing DLL:lcpkcs11
Can't create absolute file. Skipping name: lcpkcs11
Processing DLL:CAPI2_JNI
Can't create absolute file. Skipping name: CAPI2_JNI
Processing DLL:mopkcs11
Can't create absolute file. Skipping name: mopkcs11
asking server for verification status
verification URL:https://www.mojebanka.cz/confwiz/confirmLibHash?q=
received from server:UNTRUSTED
libraries considered as UNtrusted by the server
java.lang.NullPointerException
	at com.logica.apps.ivs.client.applet.PKIAppletRaw.init_Raw(Unknown Source)
	at cz.kb.pki.client.applet.PKIAppletRawKB.init_Raw(Unknown Source)
	at kbib.security.signer.IBSignerAppletRaw.init_Raw(IBSignerAppletRaw.java:131)
	at kbib.security.signer.IBSignerApplet$1.run(IBSignerApplet.java:31)
	at java.security.AccessController.doPrivileged(Native Method)
	at kbib.security.signer.IBSignerApplet.init(IBSignerApplet.java:26)
	at sun.applet.AppletPanel.run(AppletPanel.java:436)
	at java.lang.Thread.run(Thread.java:636)
[PARAMETER] LOADCAPI parameter is missing. Default is: false
Cleaning the DLL's in the temp dir.
NOT loading CAPI2_JNI.dll, switched off in the configuration.
Dll load failed: liblcpkcs11.so
com.logica.security.devicemgr.dllloader.DllLoaderException: Could not find liblcpkcs11.so in the system. Loading stopped.
	at com.logica.security.devicemgr.dllloader.DefaultDllLoader.getDllStream(DefaultDllLoader.java:43)
	at com.logica.security.devicemgr.dllloader.DllLoader.loadDll(DllLoader.java:133)
	at com.logica.apps.ivs.client.applet.PKIAppletRaw.init_Raw(Unknown Source)
	at cz.kb.pki.client.applet.PKIAppletRawKB.init_Raw(Unknown Source)
	at kbib.security.signer.IBSignerAppletRaw.init_Raw(IBSignerAppletRaw.java:131)
	at kbib.security.signer.IBSignerApplet$1.run(IBSignerApplet.java:31)
	at java.security.AccessController.doPrivileged(Native Method)
	at kbib.security.signer.IBSignerApplet.init(IBSignerApplet.java:26)
	at sun.applet.AppletPanel.run(AppletPanel.java:436)
	at java.lang.Thread.run(Thread.java:636)
WARNING - Failed to initialize the liblcpkcs11.so library.
bTestDevInst = true
testDeviceInstalled_Raw() - started
WARNING - Knihovna ovladače čipové karty nebyla nalezena - mopkcs11.dll.
bIsDeviceInstalled = false
[DEBUG]   Temporary directory: /tmp/kbpki
[DEBUG]   Final dir: /home/newman/kbpki/nativLib
Cleaning the DLL's in the temp dir.
File /tmp/kbpki/libd358e4b340a052939a09.so successfully deleted.
PathDllLoader: Found resource for CIMNativeLib in specified path.
getCopiedDLLName -> completeFile = /tmp/kbpki/lib712719baea2f85f88f96.so
Loading the COPIED CIMNativeLib library, file name: /tmp/kbpki/lib712719baea2f85f88f96.so
    absolute file detected, suffix wont be removed:/tmp/kbpki/lib712719baea2f85f88f96.so
Processing DLL:/tmp/kbpki/lib712719baea2f85f88f96.so
template DllVerificationInfo created:LIB712719BAEA2F85F88F96.SO|80752|82DFEBC630A1A702D547C91D7887AC399DE2DD63
asking server for verification status
verification URL:https://www.mojebanka.cz/confwiz/confirmLibHash?q=LIBCIMNATIVELIB.SO|80752|82DFEBC630A1A702D547C91D7887AC399DE2DD63|
received from server:TRUSTED
libraries considered as trusted by the server
same hash and different filenames - verification continues - LIBCIMNATIVELIB.SO|80752|82DFEBC630A1A702D547C91D7887AC399DE2DD63 vs. LIB712719BAEA2F85F88F96.SO|80752|82DFEBC630A1A702D547C91D7887AC399DE2DD63
match found - library approved for : /tmp/kbpki/lib712719baea2f85f88f96.so; full path flag: true
The COPIED CIMNativeLib library successfully loaded.
CIMNativeLib version: n/a. Versioning not supported. libCAPI2_JNI.so not loaded.
[DEBUG]   CIMNativeLib library successfully loaded - version: 1.0.0.0.

Attached file: backtrace
cmdline: /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/../../bin/java sun.applet.PluginMain
component: java-1.6.0-openjdk
executable: /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/bin/java
kernel: 2.6.31.6-134.fc12.i686
package: java-1.6.0-openjdk-1:1.6.0.0-33.b16.fc12
rating: 2
reason: Process was terminated by signal 6
Comment 1 Michal Nowak 2009-11-22 08:39:35 EST
Created attachment 372898 [details]
File: backtrace
Comment 2 Lubomir Rintel 2010-02-16 02:13:24 EST
The crash happened in Thread 50 which seems not to be running our code, most likely it's /tmp/kbpki/lib712719baea2f85f88f96.so from the remote. We can't probably do anything about this.
Comment 3 Deepak Bhole 2010-06-30 17:51:50 EDT
Without information on what happened in Thread 50, we cannot determine the problem. Closing as CANTFIX. 

Please feel free to re-open if you can reproduce this and/or have a trace that shows the leading calls to the error.

Note You need to log in before you can comment on or make changes to this bug.